Bug Hunting Session
Bug 78159 - cannot edit embedded objects in OOo XML files (also: breaks Autotext Formula Numbering, General OLE Error)
Summary: cannot edit embedded objects in OOo XML files (also: breaks Autotext Formula ...
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: framework (show other bugs)
Version:
(earliest affected)
4.2.4.1 rc
Hardware: Other All
: medium normal
Assignee: Laurent BP
URL:
Whiteboard: target:4.2.5 target:4.3.0
Keywords: bibisected, regression
Depends on:
Blocks:
 
Reported: 2014-05-01 14:23 UTC by pierre-yves samyn
Modified: 2015-12-17 08:00 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description pierre-yves samyn 2014-05-01 14:23:58 UTC
Hello

The Autotext "Formula Numbering" produces General OLE Error

Steps to reproduce

1. File> New> Text Document
2. Type FN then F3 (Autotext shortcut)

The autotext inserts a table with a formula in col A

3. Double click on the object

Expected result: editing the formula
Actual result: General OLE Error

Was ok with 4.1.6.2. 

Platform: windows 7/64 & Version: 4.2.4.1
Build ID: d4c441391e20647b3d2e8dde4d20aa868e77e515
 
Also reproduced (fr-qa) on:
- Ubuntu 14.04 & 4.2.4.1
- Windows 7 Home Premium & LO 4.3.0.0.alpha0+
Build ID: d2555ebb240fea2780f152e5ea39d145aab508fe
TinderBox: Win-x86@39, Branch:master, Time: 2014-04-14_07:59:52

So I set status to New.

Regards
Pierre-Yves
Comment 1 sophie 2014-05-01 14:27:34 UTC
Yes, confirmed :) Sophie
Comment 2 Andras Timar 2014-05-02 07:13:47 UTC
first bad commit: [aeeaccf59abbc485d7786486f1accc1cb4d4dbf7] Remove OOo1.0 file formats from Save As.

Option 1: find out why this commit broke this AutoText.
Option 2: resave this AutoText (in all languages) from LibreOffice, in order to have it in ODF format.
Comment 3 Laurent BP 2014-05-08 20:56:04 UTC
Actually commit aeeaccf59abbc485d7786486f1accc1cb4d4dbf7 is responsible.
If you restore "EXPORT" in line
http://opengrok.libreoffice.org/xref/core/filter/source/config/fragments/filters/StarOffice_XML__Math_.xcu#19
then the AutoText fn produce correct Math object.

It seems that, from my point of view, commit aeeaccf59abbc485d7786486f1accc1cb4d4dbf7 may break old AutoText written in the time of OOo 1.x

However, I will rebuild all AutoText "FN", as I did for bug 40499
But it will take some time...
Comment 4 Laurent BP 2014-05-10 08:43:50 UTC
Open discussion about other improvements of this AutoText:
http://nabble.documentfoundation.org/Update-of-AutoText-Formula-Numbering-tp4108221.html
Comment 5 Commit Notification 2014-05-13 19:49:30 UTC
Laurent Balland-Poirier committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d9c0280d4b785d07c220bfd029c2949227b8f398&h=libreoffice-4-2

fdo#78159 Restore EXPORT to ODF 1.0 for Math


It will be available in LibreOffice 4.2.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Michael Stahl (CIB) 2014-05-15 21:44:52 UTC
fixed the problem more generally on master
Comment 7 Commit Notification 2014-05-15 21:45:45 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0b3d0fb2d9256dc6bae6af69ed494487004def75

fdo#78159: fix import of OOoXML embedded objects



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2014-05-16 08:12:15 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=da62ab5783e548c5785b3950c03d078b1f3e849d&h=libreoffice-4-2

fdo#78159: fix import of OOoXML embedded objects


It will be available in LibreOffice 4.2.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 pierre-yves samyn 2014-05-31 07:39:59 UTC
Hi

Verified WORKSFORME  on windows 7/64 
- Version: 4.2.5.1 Build ID: 881bb88abfe2992c6cede97c23e64a9885de87de
- Version: 4.3.0.0.beta1 Build ID: 2e39c7e59c8fc8b16a54c3d981dceef27fb0c07f

Thank you
Regards
Pierre-Yves
Comment 10 Commit Notification 2015-07-27 16:31:57 UTC
Varun committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e6ff477536ce64631ee10f769a69cc73ae7b456a

Added Test for tdf#78159 OOoXML embedded objects should be converted to ODF

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 Robinson Tryon (qubit) 2015-12-17 08:00:44 UTC
Migrating Whiteboard tags to Keywords: (bibisected)
[NinjaEdit]